Bug Hunting Session
Bug 73117 - UI: function wizard describes inverted value of parameter C in function HYPGEOM.DIST
Summary: UI: function wizard describes inverted value of parameter C in function HYPGE...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: Other All
: medium normal
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:4.3.0 target:4.2.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-29 11:58 UTC by YOSHINO Yoshihito
Modified: 2014-01-23 06:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description YOSHINO Yoshihito 2013-12-29 11:58:37 UTC
When the "Cumulated" parameter set to TRUE, HYPGEOM.DIST function returns the cumulative value. The function wizard says the contrary:

> Cumulated. TRUE calculates the probability mass function, FALSE the cumulative distribution function.
Comment 1 Julien Nabet 2013-12-29 13:18:40 UTC
Winfried: one for you?
Comment 2 Winfried Donkers (retired) 2013-12-29 13:53:51 UTC
(In reply to comment #1)
> Winfried: one for you?

I confirm behaviour, will fix asap with request to put it in version 4.2.
Comment 3 Winfried Donkers (retired) 2013-12-29 15:36:50 UTC
Fix submitted: https://gerrit.libreoffice.org/#/c/7227/
Comment 4 Commit Notification 2014-01-05 12:37:03 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0282ab3c3aa89938d944e8823d0ae4cd0cdeaaf2

fdo#73117 fix switched true/false explanation for HYPGEOM.DIST



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-01-06 12:53:39 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1142320ccd6e9d7dcfcda339cd2b32674b7a3d32&h=libreoffice-4-2

fdo#73117 fix switched true/false explanation for HYPGEOM.DIST


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2014-01-22 20:29:56 UTC
Winfried: following your patches for master and 4.2 branches, we can consider this one as fixed.
Comment 7 Winfried Donkers (retired) 2014-01-23 06:44:57 UTC
(In reply to comment #6)
> Winfried: following your patches for master and 4.2 branches, we can
> consider this one as fixed.

Julien: You're right of course. I forgot to set the status to fixed. Thank you :)